﻿/*	ATTiny85:
            _____
    Rst A0 |1   8| VCC
    D3  A3 |2   7| D2	A1
    D4  A2 |3   6| D1	PWM
    GND    |4___5| D0	PWM
*/

#define LED D3   // Digital PWM.
#define POT A2   // Analogico.
#define vMIN 20  // Brillo ajustable de 20 a 255, entre 0 y 20 apagado.

byte brillo;

void setup()
{
	pinMode(LED, OUTPUT);
}

void loop()
{
	brillo = map(analogRead(POT), 0, 1023, 0, 255);
	analogWrite( 13, ( brillo > vMIN ? brillo : 0 ) );
}